Subject: Re: bug#17648: 24.4.50; regression: emacsclient under screen (1) slow for some values of TERM

From: Gregor Zattler <[email-masked]>
Date: Sun, 1 Jun 2014 11:03:37 +0200

Hi Daniel, Stefan,
* Daniel Colascione <[email-masked]> [31. May. 2014]:
> On 05/31/2014 06:25 PM, Daniel Colascione wrote:
>> On 05/31/2014 06:23 PM, Stefan Monnier wrote:
>>> Dan, it looks like the magic sequence to enable bracketed paste mode
>>> will need to use some version checking code :-(
>>> Can you take a look at it?
>> 
>> Sure --- but I'm not sure why the result varies depending on the value
>> of TERM. Aren't we sending the same sequence regardless? Jim's recent
>> complaint about another two second delay seems related. I feel like the
>> terminal-echo recognition must be wrong somehow.
> 
> Also, that change also made term/screen.el use term/xterm.el.

I tested emacsclients snappiness under screen with other
(= non screen*) values of TERM like so:

TERM=rxvt-unicode-256color emacsclient.emacs-snapshot -t bugreport

TERM=rxvt-unicode-256color is snappy
TERM=xterm is slow

So there would be a workaround for me but I do not know of the
side effects of forcing the use of a non screen* value for TERM.

And for completeness: TERM=xterm is snappy on a pure xterm
without using screen.

Thanks for looking into this, Gregor